package com.xxrv.invoice.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;

import com.alibaba.android.arouter.launcher.ARouter;
import com.frame.base.url.Constance;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseStatusActivity;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.xxrv.invoice.R;
import com.xxrv.invoice.R2;
import com.xxrv.invoice.api.InvoiceApi;
import com.xxrv.invoice.presenter.InvoicePresenter;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 租车开发票订单列表
 */
public class OrderInvoicingCarActivity extends BaseStatusActivity<InvoicePresenter> {

    @BindView(R2.id.rv_content)
    RecyclerView rvContent;
    @BindView(R2.id.tv_number)
    TextView tvNumber;
    @BindView(R2.id.tv_price)
    TextView tvPrice;
    @BindView(R2.id.cb_all)
    CheckBox cbAll;
    @BindView(R2.id.iv_noorder_hint)
    ImageView ivNoorderHint;

    public static Intent getIntent(Context context) {
        return new Intent(context, OrderInvoicingCarActivity.class);
    }

    @Override
    protected int setLayout() {
        return R.layout.activity_order_invoicing_car;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {
        titleView.setTitle("按订单开票");
    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // TODO: add setContentView(...) invocation
        ButterKnife.bind(this);
    }

    @OnClick({R2.id.tv_item_hint, R2.id.tv_item_next})
    public void onViewClicked(View view) {
        int id = view.getId();
        if (id == R.id.tv_item_hint) {

            ARouter.getInstance().build(Constance.ACTIVITY_URL_WEBVIEW)
                    .withString("title", "按订单开票")
                    .withString("url", InvoiceApi.HTTP_URL_CAR_TYPE_NOTICE)
                    .withInt("type", 27)
                    .navigation();
        } else if (id == R.id.tv_item_next) {


        }
    }
}
